/*
 * i18ndemo.h
 *
 * Copyright (C) 2007 Andrei <a@b.com>
 */
#ifndef I18NDEMO_H
#define I18NDEMO_H


#include <kxmlguiwindow.h>

#include "ui_prefs_base.h"

class i18ndemoView;
class QPrinter;
class KToggleAction;
class KUrl;

/**
 * This class serves as the main window for i18ndemo.  It handles the
 * menus, toolbars, and status bars.
 *
 * @short Main window class
 * @author Andrei <a@b.com>
 * @version 0.1
 */
class i18ndemo : public KXmlGuiWindow
{
    Q_OBJECT
public:
    /**
     * Default Constructor
     */
    i18ndemo();

    /**
     * Default Destructor
     */
    virtual ~i18ndemo();

private slots:
    void fileNew();
    void optionsPreferences();

private:
    void setupActions();

private:
    Ui::prefs_base ui_prefs_base ;
    i18ndemoView *m_view;

    QPrinter   *m_printer;
    KToggleAction *m_toolbarAction;
    KToggleAction *m_statusbarAction;
};

#endif // _I18NDEMO_H_
