/*
 * i18ndemoview.cpp
 *
 * Copyright (C) 2007 Andrei <a@b.com>
 */
#include "i18ndemoview.h"
#include "settings.h"

#include <klocale.h>
#include <QtGui/QLabel>

i18ndemoView::i18ndemoView(QWidget *)
{
    ui_i18ndemoview_base.setupUi(this);
    settingsChanged();
    setAutoFillBackground(true);
}

i18ndemoView::~i18ndemoView()
{

}

void i18ndemoView::switchColors()
{
    // switch the foreground/background colors of the label
    QColor color = Settings::col_background();
    Settings::setCol_background( Settings::col_foreground() );
    Settings::setCol_foreground( color );

    settingsChanged();
}

void i18ndemoView::settingsChanged()
{
    QPalette pal;
    pal.setColor( QPalette::Window, Settings::col_background());
    pal.setColor( QPalette::WindowText, Settings::col_foreground());
    ui_i18ndemoview_base.kcfg_sillyLabel->setPalette( pal );

    // i18n : internationalization
    ui_i18ndemoview_base.kcfg_sillyLabel->setText( i18np("This project is %1 day old", "This project is %1 days old", Settings::val_time()) );
    emit signalChangeStatusbar( i18n("Settings changed") );
}

#include "i18ndemoview.moc"
