/*
 * i18ndemoview.h
 *
 * Copyright (C) 2007 Andrei <a@b.com>
 */
#ifndef I18NDEMOVIEW_H
#define I18NDEMOVIEW_H

#include <QtGui/QWidget>

#include "ui_i18ndemoview_base.h"

class QPainter;
class KUrl;

/**
 * This is the main view class for i18ndemo.  Most of the non-menu,
 * non-toolbar, and non-statusbar (e.g., non frame) GUI code should go
 * here.
 *
 * @short Main view
 * @author Andrei <a@b.com>
 * @version 0.1
 */

class i18ndemoView : public QWidget, public Ui::i18ndemoview_base
{
    Q_OBJECT
public:
    /**
     * Default constructor
     */
    i18ndemoView(QWidget *parent);

    /**
     * Destructor
     */
    virtual ~i18ndemoView();

private:
    Ui::i18ndemoview_base ui_i18ndemoview_base;

signals:
    /**
     * Use this signal to change the content of the statusbar
     */
    void signalChangeStatusbar(const QString& text);

    /**
     * Use this signal to change the content of the caption
     */
    void signalChangeCaption(const QString& text);

private slots:
    void switchColors();
    void settingsChanged();
};

#endif // i18ndemoVIEW_H
