#include "i18ndemo.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <KDE/KLocale>

static const char description[] =
    I18N_NOOP("A KDE 4 Application");

static const char version[] = "0.1";

int main(int argc, char **argv)
{
    KAboutData about("i18ndemo", 0, ki18n("i18ndemo"), version, ki18n(description),
                     KAboutData::License_GPL, ki18n("(C) 2007 Andrei"), KLocalizedString(), 0, "a@b.com");
    about.addAuthor( ki18n("Andrei"), KLocalizedString(), "a@b.com" );
    KCmdLineArgs::init(argc, argv, &about);

    KCmdLineOptions options;
    options.add("+[URL]", ki18n( "Document to open" ));
    KCmdLineArgs::addCmdLineOptions(options);
    KApplication app;

    i18ndemo *widget = new i18ndemo;

    // see if we are starting with session management
    if (app.isSessionRestored())
    {
        RESTORE(i18ndemo);
    }
    else
    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
        if (args->count() == 0)
        {
            //i18ndemo *widget = new i18ndemo;
            widget->show();
        }
        else
        {
            int i = 0;
            for (; i < args->count(); i++)
            {
                //i18ndemo *widget = new i18ndemo;
                widget->show();
            }
        }
        args->clear();
    }

    return app.exec();
}
